.boxlog {
  border-radius: 20px;
  display: flex;
  width: 500px;
  height: 700px;
  justify-self: center;
  margin: auto;
  flex-direction: column;
  margin-top: 100px;
  filter: drop-shadow(5px 5px 10px rgba(0, 0, 0, 0.3));
  visibility: visible;
}
h1 {
  color: rgb(34, 31, 31);
  /* text-align: center;
  margin-top: 75px; */
  font-family: "DM sans", Arial, Helvetica, sans-serif;
  margin-left: 120px;
  margin-top: 230px;
}
body {
  width: 100vw;
  height: 100vh;
  margin: 0;
  font-family: "DM sans", Arial, Helvetica, sans-serif;
}
.bg {
  background: #0b44b0;
  background: linear-gradient(
    180deg,
    rgba(11, 68, 176, 1) 0%,
    rgba(37, 60, 107, 1) 61%,
    rgb(15, 18, 61) 100%
  );
}

.boxlog {
  background: #fcfaf9;
}
form {
  display: flex;
  flex-direction: column;
}
#emailForm {
  display: flex;
  flex-direction: row;
}
.alignlog {
  width: 50%;
  margin: auto;
  margin-left: 120px;
  margin-top: 150px;
}
.logsubmit {
  margin-left: 20px;
  height: 36px;
  align-self: flex-start;
  font-family: "Figtree", Arial, Helvetica, sans-serif;
  background: #0b44b0;
  background: linear-gradient(
    130deg,
    rgb(19, 97, 240) 0%,
    rgba(11, 68, 176, 1) 100%
  );
  border-radius: 5px;
  filter: drop-shadow(2px 2px 5px rgba(0, 0, 0, 0.2));
  color: #c1e8ff;
  border: 0px;
  font-size: large;
}

.logsubmit:active {
  background: #06348a;
}
form > label {
  color: rgb(19, 19, 19);
}

#sidebar {
  position: fixed;
  top: 0;
  right: 0px;
  width: 70%;
  height: 100%;
  background: #fcfaf9;
  box-shadow: -2px 0 5px rgba(0, 0, 0, 0.1);
  transition: right 0.25s ease;
  display: flex;
  flex-direction: column;
  justify-content: start;
  z-index: 1;
}
.areacode {
  width: 60%;
  margin: auto;
  margin-left: 10%;
  margin-top: 50px;
  margin-bottom: 0px;
}

#sidebar.close {
  right: -70%;
}
#sidebar h2 {
  margin-top: 0;
}
#closeSidebar {
  position: absolute;
  margin-right: 20px;
  margin-top: 20px;
  align-self: flex-end;
}
.areacode > input {
  width: 50%;
}

.areacode > label {
  color: #555;
}
label {
  display: flex;
  flex-direction: column;
}
.emailinput {
  height: 32px;
  border-radius: 5px;
  border: 2px solid #999;
}
.codeinput {
  height: 40px;
  border-radius: 5px;
  /* border: 2px solid #999; */
  border: 0px;
  padding: 8px;
  margin-top: 8px;
  width: 75%;
  font-size: x-large;
  text-decoration: underline;
  letter-spacing: 3px;
}
.codeinput:focus {
  border-color: none;
  outline: none;
  -webkit-box-shadow: 0px;
  box-shadow: none;
}
.codesubmit {
  font-family: "Figtree", Arial, Helvetica, sans-serif;
  width: 120px;

  height: 40px;
  background: #0b44b0;
  background: linear-gradient(
    130deg,
    rgb(19, 97, 240) 0%,
    rgba(11, 68, 176, 1) 100%
  );
  border-radius: 10px;
  filter: drop-shadow(2px 2px 5px rgba(0, 0, 0, 0.2));
  color: #c1e8ff;
  border: 0px;
  font-size: large;
  margin-top: 30px;
  margin-bottom: 80px;
}
#codeForm {
  display: flex;
  flex-direction: column;
}
/* 
Circulo contagem  */

#time {
  display: flex;
  align-items: center;
  margin-left: 50px;
}

.circle {
  flex-direction: column;
  display: flex;
  position: relative;
}

circle {
  align-self: center;
  transition: stroke-dashoffset 1s linear;
}

svg {
  width: 80px;
  height: 80px;
  fill: transparent;
  stroke-width: 5;
  stroke: #727272;
  transform: rotate(-90deg);
}

svg > circle {
  transform: translate(13%, 10%);
}

svg circle:nth-child(2) {
  stroke: var(--clr);
  stroke-dasharray: 188.4;
  stroke-dashoffset: 188.4;
}

svg circle:nth-child(1) {
  stroke: rgb(19, 97, 240);
}

#seconds {
  color: #505867;
  font-size: medium;
  text-align: center;
  font-weight: 700;
}
.return {
  display: flex;
  flex-direction: row;
  width: 300px;
  gap: 16px;
  align-items: right;
  margin-left: 50px;
  margin-bottom: 100px;
}

#action-link {
  width: 145px;
  height: 32px;
  border-radius: 10px;
  column-gap: 30%;
  color: #1361f0;
  font-size: 12pt;
  text-align: left;
  /* visibility: visible; */
  border: 2px solid #1361f0;
  color: #1361f0;
  padding: 0px;
  padding-left: 5px;
}
/*
#opensidebar:focus {
  border-color: none;
  outline: none;
  -webkit-box-shadow: 0px;
  box-shadow: none;
}

#opensidebar {
  /* border: 2px solid #727272; 
  column-gap: 30%;
  color: #727272;
  font-size: 12pt;
   width: 75px;
  height: 32px; 
  border-radius: 10px;
  padding: 0px;
  padding-left: 5px;
  cursor: pointer;
  text-align: left;
}
#opensidebar:hover {
  color: #1361f0;
  text-decoration: underline;
  border: 2px solid #1361f0; 
} */
#emailForm > div {
  width: 90%;
}

.open {
  visibility: hidden;
}

.width-time {
  width: 77%;
}

.inputContainer {
  width: 200px;
  display: flex;
  align-items: center;
  justify-content: left;
  flex-direction: row;
  gap: 13px;
}
.inputContainer > input {
  width: 50px;
  height: 50px;
  border-radius: 5px;
  background-color: #ebebeb;
  border: none;
  outline: none;
  font-size: x-large;
  text-align: center;
}
#time > p {
  font-size: small;
  color: #646464;
  margin: 0px;
}
.inputContainer input:disabled {
  background: #c5c5c5;
  cursor: not-allowed;
}
.labelsidebar {
  margin-bottom: 10px;
}
#emailForm {
  margin-top: 10px;
}
#time > p {
  margin-bottom: 20px;
}
.spam-message {
  margin-top: 0px;
  margin-bottom: 32px;
  margin-left: 50px;
  width: 60%;
  font-size: small;
  color: #646464;
}
@media (max-width: 767px) {
  h1,
  .alignlog {
    margin-left: 60px;
  }
  .alignlog {
    margin-top: 30px;
  }
}
@media (max-width: 479px) {
  .bg {
    height: 120vh;
  }
  h1 {
    font-size: larger;
  }
  .alignlog,
  h1 {
    margin-left: 45px;
  }
  .alignlog {
    width: 75%;
  }
  #sidebar {
    width: 100%;
  }
  .boxlog {
    width: 90%;
  }
  #sidebar.close {
    right: -101%;
  }
}
@media (max-width: 400px) {
  .inputContainer > input {
    width: 40px;
    height: 40px;
  }
}
